from Reader import reader, types, status
from Log import LOG
from Gui import GUI
import Guild

class BasicAllianceInformations():
    def __init__(self):
        self.id = reader.readVarUhInt()
        self.tag = reader.readString()

class BasicNamedAllianceInformations(BasicAllianceInformations):
    def __init__(self):
        super().__init__()
        self.name = reader.readString()

class AllianceInformations(BasicNamedAllianceInformations):
    def __init__(self):
        super().__init__()
        self.emblem = Guild.GuildEmblem()